| Home | Libraries | People | FAQ | More

## Function template trim_all_if

boost::algorithm::trim_all_if — Trim All.

## Synopsis

    // In header: <boost/algorithm/string/trim_all.hpp>

    template<typename SequenceT, typename PredicateT>
      void trim_all_if(SequenceT & Input, PredicateT IsSpace);

## Description

Remove all leading and trailing spaces from the input and compress all other spaces to a single character. The input sequence is modified in-place.

Parameters:

`Input` | An input sequence
`IsSpace` | An unary predicate identifying spaces